Bug 245249 - Dovecot hangs while using ldap backend.
Summary: Dovecot hangs while using ldap backend.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dovecot   
(Show other bugs)
Version: 5.0
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
: ---
Assignee: Tomas Janousek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 380401
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-21 21:25 UTC by Felipe Alencastro
Modified: 2008-05-21 14:20 UTC (History)
1 user (show)

Fixed In Version: RHSA-2008-0297
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:20:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dovecot Config Files. (1.33 KB, text/plain)
2007-06-21 21:25 UTC, Felipe Alencastro
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0297 normal SHIPPED_LIVE Low: dovecot security and bug fix update 2008-05-21 14:20:08 UTC

Description Felipe Alencastro 2007-06-21 21:25:47 UTC
Description of problem:

Hi,

When I change my userdb and passdb backends to ldap, dovecot hangs with this message in 
/var/log/messages

Jun 18 13:52:09 mercurio kernel: dovecot-auth[30285]: segfault at ffffffffaaae9538 rip 
0000003496a23350 rsp 00007fff8b638fd0 error 4

Follow attached my config files.


Version-Release number of selected component (if applicable):

dovecot-1.0-1.2.rc15.el5.x86_64.rpm


How reproducible:


Steps to Reproduce:
1. Change the backend to ldap
2. Configure the ldap backend
3. Restart Dovecot
  
Actual results:

Dovecot segfaults.

Expected results:


Additional info:

Using the same configurations with the package dovecot-1.0.1-1_57.x86_64.rpm available at 
www.dovecot.org it works.

Comment 1 Felipe Alencastro 2007-06-21 21:25:47 UTC
Created attachment 157573 [details]
Dovecot Config Files.

Comment 5 RHEL Product and Program Management 2007-10-31 18:25:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 errata-xmlrpc 2008-05-21 14:20:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0297.html



Note You need to log in before you can comment on or make changes to this bug.